Jump to content
You need to play a total of 5 battles to post in this section.
Carrier_Ikoma

Modding SDK - extracting model issue

9 comments in this topic

Recommended Posts

868
[A-D]
Beta Testers, Alpha Tester
2,638 posts

I was trying to follow the guide here:

So I downloaded ModsSDK_0.8.2.0.1435262.zip, put it into res_mods\0.8.2.0\PnFMods\ModsSDK.zip\, then in \res_mods\0.8.2.0\PnFMods\ModsSDKExport\Main.py I put

contentSdk.extractSources('Haku', 'JSA110_Hakuryu')

And... after starting the game and logging in, nothing happens. Doesn't seem to extract any files like the guide said it would.

Anyone have any tips on what I might be missing?

edit: So I notice the zip file itself has the ship files neatly packaged. Does running the "contentSdk.extractSources" command provide some extra files not found there? Or... can this step be bypassed by just grabbing the folder right out of the SDK? And... I can't help but notice JSA037_Hakuryu_Space doesn't seem to be in the SDK, though all the other space ships seem to be there.

 

 

Edited by Carrier_Ikoma

Share this post


Link to post
Share on other sites
Developers
257 posts
20 battles

Hi, is there any information about error in the python.log file? Can you make screenshot with error and content of Main.py?

Share this post


Link to post
Share on other sites
868
[A-D]
Beta Testers, Alpha Tester
2,638 posts
On 4/12/2019 at 2:12 AM, MatroseFuchs said:

Hi, is there any information about error in the python.log file? Can you make screenshot with error and content of Main.py?

Hello,

So I figured it out. I noticed other guides have API_VERSION = 'API_v1.0' so I tried that... and it started working.

But, I found a new problem. After I did this:

API_VERSION = 'API_v1.0'
contentSdk.extractSources('Haku', 'JSA110_Hakuryu')

I got the folder. And then when I do

API_VERSION = 'API_v1.0'

contentSdk.registerShipMod('JSA110_Hakuryu')

This works and the game loads the modded version.

YnFDLyi.png

There is one missing texture but that's not the real problem. The real problem is if I try to do this:

API_VERSION = 'API_v1.0'

contentSdk.registerShipMod('JSA037_Hakuryu_Space')

I get this error:

2019-04-11 19:46:20.826: INFO: [Print] Failed to registerShipMod: unknown ship  JSA037_Hakuryu_Space

 

Do you know how I can get it to register a mod for the Space Hakuryu?

Thank you

Share this post


Link to post
Share on other sites
Developers
257 posts
20 battles
On 4/25/2019 at 3:40 PM, Carrier_Ikoma said:

Any hints on how to register a model mod for a space or event variation? (eg space hakuryu, or one of the halloween camos, etc)

If you want to change camos, extract files with unpacker and modify them.

Share this post


Link to post
Share on other sites
868
[A-D]
Beta Testers, Alpha Tester
2,638 posts
3 hours ago, MatroseFuchs said:

If you want to change camos, extract files with unpacker and modify them.

Well the thing about these camos is they have their own models. It's the models I want to change.

So if I unpack the res files I get these:

ufw4snp.png

Same as any other ship model. But without the .model and .visual files, they can't really be changed without causing the game to freeze or not load the modified models.

So I think I need to register it through the modSDK, like other mods that change models. But that's where I get the error:

2019-04-11 19:46:20.826: INFO: [Print] Failed to registerShipMod: unknown ship  JSA037_Hakuryu_Space

And that's where I'm stuck...

Share this post


Link to post
Share on other sites
868
[A-D]
Beta Testers, Alpha Tester
2,638 posts

@MatroseFuchs

Would you be able to offer any advice for changing the model (not texture) or JSA037_Hakuryu_Space?

2019-04-11 19:46:20.826: INFO: [Print] Failed to registerShipMod: unknown ship  JSA037_Hakuryu_Space

I still haven't been able to find a way past this error.

Share this post


Link to post
Share on other sites
868
[A-D]
Beta Testers, Alpha Tester
2,638 posts

@MatroseFuchs

I don't suppose there are any updates on this?

I would really like to modify the JSA037_Hakuryu_Space models, but I can't get the SDK to recognize the space variant.

Thanks in advance.

Share this post


Link to post
Share on other sites
Developers
257 posts
20 battles
3 hours ago, Carrier_Ikoma said:

I don't suppose there are any updates on this?

I would really like to modify the JSA037_Hakuryu_Space models, but I can't get the SDK to recognize the space variant.

Thanks in advance.

Hello,

there is no ship name "JSA037_Hakuryu_Space" in ContentSDK or game client, method "contentSdk.registerShipMod('JSA037_Hakuryu_Space')" can register only ship name 'JSA037_Hakuryu'.

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

×